Session withdrawals
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get session withdrawals waiting for the client
Use this method to obtain the session withdrawals of the client that still wait for the client: the action may still appear (`pending`) or is there (`ready`). The last updated withdrawals come first. The operations history shows them as a widget when the client has left the withdrawal page.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/session-withdrawals/actions?limit=10&offset=0" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": "01928f4e-7b3a-7c1d-9e2f-3a4b5c6d7e8f", "sourceCurrencyAmount": "100.50", "sourceCurrencyAlphaCode": "USD", "destinationCurrencyAmount": "90.92", "destinationCurrencyAlphaCode": "EUR", "method": { "id": 42, "caption": "Card withdrawal" }, "updatedAt": "2022-01-01T00:00:00+00:00", "status": "ready", "action": null, "error": null, "steps": [ { "name": "hold", "status": "in_progress" } ] } ]}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter", "name": "email_domain_not_found" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Access from this country is restricted", "details": { "ip": "203.0.113.42", "country": "RU" } }}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}